summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-accessibility/freetts
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-accessibility/freetts')
-rw-r--r--app-accessibility/freetts/Manifest2
-rw-r--r--app-accessibility/freetts/files/jsapi-gentoo.diff194
-rw-r--r--app-accessibility/freetts/freetts-1.2.1-r2.ebuild66
-rw-r--r--app-accessibility/freetts/freetts-1.2.2.ebuild87
-rw-r--r--app-accessibility/freetts/metadata.xml13
5 files changed, 362 insertions, 0 deletions
diff --git a/app-accessibility/freetts/Manifest b/app-accessibility/freetts/Manifest
new file mode 100644
index 00000000000..c6e64a5c27f
--- /dev/null
+++ b/app-accessibility/freetts/Manifest
@@ -0,0 +1,2 @@
+DIST freetts-1.2.1-src.zip 14100414 SHA256 e21421f3b6bd4364f4310e273128f20b63a6b885e8f17d9a441df20d4c455280 SHA512 927d881263f561df8e8ee919ea6019ed44d6ecad7d434c618e333063e992f938d50161a281094b27a4dd8312ac3eedc34040ede947df91e94bbca06c25ba45d3 WHIRLPOOL dbb1d27491f48041fd22d9be472cafe4cd94f514d0a39235d72e613aaaed887245cb377575768420c8546706c33e06765d7894c1e3599560bf4570e7be6a5eb0
+DIST freetts-1.2.2-src.zip 14111416 SHA256 270bbf8c3ab1571585f0a78818ba73b601ef515eb1e6087293c41177219ed156 SHA512 a2cce0b1fd2267cc8dbd3e2ad3ec1f99526de3988443c0937405cc7b2eab9ef517001ef0b4b387e8721d3c33610cd642c6b7cf83217996a83481830de9713de7 WHIRLPOOL e7bfd3e72e1fc4f6d36d2c743b7c61856d1471ddfa59158b799552800cfbb307cf14012c53280fa5052df35c0aa0cb680ed20d99ec8111efb8785c0a00492021
diff --git a/app-accessibility/freetts/files/jsapi-gentoo.diff b/app-accessibility/freetts/files/jsapi-gentoo.diff
new file mode 100644
index 00000000000..016263e24d0
--- /dev/null
+++ b/app-accessibility/freetts/files/jsapi-gentoo.diff
@@ -0,0 +1,194 @@
+--- jsapi.sh 2001-12-20 09:51:28.000000000 -0500
++++ jsapi-gentoo.sh 2004-03-20 01:36:10.021810888 -0500
+@@ -10,191 +10,6 @@
+ # ------ ---------- ------------------------------------------
+ # 51811 -rw-rw-r-- jsapi.jar
+ #
+-more <<- xxxFOOxxx
+-
+- Sun Microsystems, Inc.
+- Binary Code License Agreement
+-
+-READ THE TERMS OF THIS AGREEMENT AND ANY PROVIDED SUPPLEMENTAL LICENSE
+-TERMS (COLLECTIVELY "AGREEMENT") CAREFULLY BEFORE OPENING THE SOFTWARE
+-MEDIA PACKAGE. BY OPENING THE SOFTWARE MEDIA PACKAGE, YOU AGREE TO THE
+-TERMS OF THIS AGREEMENT. IF YOU ARE ACCESSING THE SOFTWARE
+-ELECTRONICALLY, INDICATE YOUR ACCEPTANCE OF THESE TERMS BY SELECTING
+-THE "ACCEPT" BUTTON AT THE END OF THIS AGREEMENT. IF YOU DO NOT AGREE
+-TO ALL THESE TERMS, PROMPTLY RETURN THE UNUSED SOFTWARE TO YOUR PLACE
+-OF PURCHASE FOR A REFUND OR, IF THE SOFTWARE IS ACCESSED
+-ELECTRONICALLY, SELECT THE "DECLINE" BUTTON AT THE END OF THIS
+-AGREEMENT.
+-
+-1. LICENSE TO USE. Sun grants you a non-exclusive and
+-non-transferable license for the internal use only of the accompanying
+-software and documentation and any error corrections provided by Sun
+-(collectively "Software"), by the number of users and the class of
+-computer hardware for which the corresponding fee has been paid.
+-
+-2. RESTRICTIONS. Software is confidential and copyrighted. Title to
+-Software and all associated intellectual property rights is retained by
+-Sun and/or its licensors. Except as specifically authorized in any
+-Supplemental License Terms, you may not make copies of Software, other
+-than a single copy of Software for archival purposes. Unless
+-enforcement is prohibited by applicable law, you may not modify,
+-decompile, or reverse engineer Software. You acknowledge that Software
+-is not designed, licensed or intended for use in the design,
+-construction, operation or maintenance of any nuclear facility. Sun
+-disclaims any express or implied warranty of fitness for such uses. No
+-right, title or interest in or to any trademark, service mark, logo or
+-trade name of Sun or its licensors is granted under this Agreement.
+-
+-3. LIMITED WARRANTY. Sun warrants to you that for a period of ninety
+-(90) days from the date of purchase, as evidenced by a copy of the
+-receipt, the media on which Software is furnished (if any) will be free
+-of defects in materials and workmanship under normal use. Except for
+-the foregoing, Software is provided "AS IS". Your exclusive remedy and
+-Sun's entire liability under this limited warranty will be at Sun's
+-option to replace Software media or refund the fee paid for Software.
+-
+-4. DISCLAIMER OF WARRANTY. UNLESS SPECIFIED IN THIS AGREEMENT, ALL
+-EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES,
+-INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
+-PARTICULAR PURPOSE OR NON-INFRINGEMENT ARE DISCLAIMED, EXCEPT TO THE
+-EXTENT THAT THESE DISCLAIMERS ARE HELD TO BE LEGALLY INVALID.
+-
+-5. LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN
+-NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
+-PROFIT OR DATA, OR FOR SPECIAL, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR
+-PUNITIVE DAMAGES, HOWEVER CAUSED REGARDLESS OF THE THEORY OF LIABILITY,
+-ARISING OUT OF OR RELATED TO THE USE OF OR INABILITY TO USE SOFTWARE,
+-EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. In no
+-event will Sun's liability to you, whether in contract, tort (including
+-negligence), or otherwise, exceed the amount paid by you for Software
+-under this Agreement. The foregoing limitations will apply even if the
+-above stated warranty fails of its essential purpose.
+-
+-6. Termination. This Agreement is effective until terminated. You
+-may terminate this Agreement at any time by destroying all copies of
+-Software. This Agreement will terminate immediately without notice
+-from Sun if you fail to comply with any provision of this Agreement.
+-Upon Termination, you must destroy all copies of Software.
+-
+-7. Export Regulations. All Software and technical data delivered under
+-this Agreement are subject to US export control laws and may be subject
+-to export or import regulations in other countries. You agree to
+-comply strictly with all such laws and regulations and acknowledge that
+-you have the responsibility to obtain such licenses to export,
+-re-export, or import as may be required after delivery to you.
+-
+-8. U.S. Government Restricted Rights. If Software is being acquired
+-by or on behalf of the U.S. Government or by a U.S. Government prime
+-contractor or subcontractor (at any tier), then the Government's rights
+-in Software and accompanying documentation will be only as set forth in
+-this Agreement; this is in accordance with 48 CFR 227.7201 through
+-227.7202-4 (for Department of Defense (DOD) acquisitions) and with 48
+-CFR 2.101 and 12.212 (for non-DOD acquisitions).
+-
+-9. Governing Law. Any action related to this Agreement will be
+-governed by California law and controlling U.S. federal law. No choice
+-of law rules of any jurisdiction will apply.
+-
+-10. Severability. If any provision of this Agreement is held to be
+-unenforceable, this Agreement will remain in effect with the provision
+-omitted, unless omission would frustrate the intent of the parties, in
+-which case this Agreement will immediately terminate.
+-
+-11. Integration. This Agreement is the entire agreement between you
+-and Sun relating to its subject matter. It supersedes all prior or
+-contemporaneous oral or written communications, proposals,
+-representations and warranties and prevails over any conflicting or
+-additional terms of any quote, order, acknowledgment, or other
+-communication between the parties relating to its subject matter during
+-the term of this Agreement. No modification of this Agreement will be
+-binding, unless in writing and signed by an authorized representative
+-of each party.
+-
+- JAVA(TM) SPEECH API (JSAPI) SPECIFICATION IMPLEMETATION, VERSION
+- 1.0
+- SUPPLEMENTAL LICENSE TERMS
+-
+-These supplemental license terms ("Supplemental Terms") add to or
+-modify the terms of the Binary Code License Agreement (collectively,
+-the "Agreement"). Capitalized terms not defined in these Supplemental
+-Terms shall have the same meanings ascribed to them in the Agreement.
+-These Supplemental Terms shall supersede any inconsistent or
+-conflicting terms in the Agreement, or in any license contained within
+-the Software.
+-
+-1. Software Internal Use and Development License Grant. Subject to the
+-terms and conditions of this Agreement, including, but not limited to
+-Section 3 (Java(TM) Technology Restrictions) of these Supplemental
+-Terms, Sun grants you a non-exclusive, non-transferable, limited
+-license to reproduce internally and use internally the binary form of
+-the Software, complete and unmodified, for the sole purpose of
+-designing, developing and testing your Java applets and applications
+-("Programs").
+-
+-2. License to Distribute Software. In addition to the license granted
+-in Section 1 (Software Internal Use and Development License Grant) of
+-these Supplemental Terms, subject to the terms and conditions of this
+-Agreement, including but not limited to Section 3 (Java Technology
+-Restrictions), Sun grants you a non-exclusive, non-transferable,
+-limited license to reproduce and distribute the Software in binary form
+-only, provided that you (i) distribute the Software complete and
+-unmodified and only bundled as part of your Programs, (ii) do not
+-distribute additional software intended to replace any component(s) of
+-the Software, (iii) do not remove or alter any proprietary legends or
+-notices contained in the Software, (iv) only distribute the Software
+-subject to a license agreement that protects Sun's interests consistent
+-with the terms contained in this Agreement, and (v) agree to defend and
+-indemnify Sun and its licensors from and against any damages, costs,
+-liabilities, settlement amounts and/or expenses (including attorneys'
+-fees) incurred in connection with any claim, lawsuit or action by any
+-third party that arises or results from the use or distribution of any
+-and all Programs and/or Software.
+-
+-3. Java Technology Restrictions. You may not modify the Java Platform
+-Interface ("JPI", identified as classes contained within the "java"
+-package or any subpackages of the "java" package), by creating
+-additional classes within the JPI or otherwise causing the addition to
+-or modification of the classes in the JPI. In the event that you
+-create an additional class and associated API(s) which (i) extends the
+-functionality of the Java Platform, and (ii) is exposed to third party
+-software developers for the purpose of developing additional software
+-which invokes such additional API, you must promptly publish broadly an
+-accurate specification for such API for free use by all developers. You
+-may not create, or authorize your licensees to create additional
+-classes, interfaces, or subpackages that are in any way identified as
+-"java", "javax", "sun" or similar convention as specified by Sun in any
+-naming convention designation.
+-
+-4. Trademarks and Logos. You acknowledge and agree as between you and
+-Sun that Sun owns the SUN, SOLARIS, JAVA, JINI, FORTE, and iPLANET
+-trademarks and all SUN, SOLARIS, JAVA, JINI, FORTE, and iPLANET-related
+-trademarks, service marks, logos and other brand designations ("Sun
+-Marks"), and you agree to comply with the Sun Trademark and Logo Usage
+-Requirements currently located at
+-http://www.sun.com/policies/trademarks. Any use you make of the Sun
+-Marks inures to Sun's benefit.
+-
+-5. Source Code. Software may contain source code that is provided
+-solely for reference purposes pursuant to the terms of this Agreement.
+-Source code may not be redistributed unless expressly provided for in
+-this Agreement.
+-
+-6. Termination for Infringement. Either party may terminate this
+-Agreement immediately should any Software become, or in either party's
+-opinion be likely to become, the subject of a claim of infringement of
+-any intellectual property right.
+-
+-For inquiries please contact: Sun Microsystems, Inc. 901 San Antonio
+-Road, Palo Alto, California 94303 (LFI#108931/Form ID#011801)
+-xxxFOOxxx
+-
+-echo "Accept (y/n)?: "
+-read ans
+-if [ "$ans" != "y" ]
+-then
+- echo 'failed to accept license'
+- exit 1
+-fi
+ save_IFS="${IFS}"
+ IFS="${IFS}:"
+ gettext_dir=FAILED
diff --git a/app-accessibility/freetts/freetts-1.2.1-r2.ebuild b/app-accessibility/freetts/freetts-1.2.1-r2.ebuild
new file mode 100644
index 00000000000..0097a1c2d92
--- /dev/null
+++ b/app-accessibility/freetts/freetts-1.2.1-r2.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="A speech synthesis system written entirely in Java"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.zip"
+HOMEPAGE="http://freetts.sourceforge.net/"
+
+RDEPEND=">=virtual/jre-1.4
+ mbrola? ( >=app-accessibility/mbrola-3.0.1h-r6 ) "
+DEPEND=">=virtual/jdk-1.4
+ ${RDEPEND}
+ jsapi? ( app-arch/sharutils )
+ app-arch/unzip"
+
+LICENSE="jsapi? ( sun-bcla-jsapi ) freetts"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+IUSE="doc jsapi mbrola"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}/lib"
+
+ chmod 0755 jsapi.sh
+ epatch "${FILESDIR}/jsapi-gentoo.diff"
+
+ use mbrola && echo "mbrola.base=/usr/share/mbrola/" >> "${S}/speech.properties"
+}
+
+src_compile() {
+ cd "${S}/lib"
+ if use jsapi; then
+ ./jsapi.sh || die "jsapi.sh failed"
+ fi
+ cd "${S}"
+ eant jars
+}
+
+# Tests dont' seem included
+# http://freetts.sourceforge.net/docs/index.php#how_test
+#src_test() {
+# ANT_TASKS="ant-junit" eant junit
+#}
+
+src_install() {
+ java-pkg_dojar lib/*.jar mbrola/*.jar
+
+ use mbrola && local jflags="--java_args -Dmbrola.base=/usr/share/mbrola"
+ java-pkg_dolauncher ${PN} --main com.sun.speech.freetts.FreeTTS ${jflags}
+
+ insinto /usr/share/${PN}
+ doins speech.properties
+
+ cp -R "${S}/demo" "${D}/usr/share/${PN}"
+ cp -R "${S}/tools" "${D}/usr/share/${PN}"
+
+ dodoc README.txt RELEASE_NOTES acknowledgments.txt || die
+ if use doc; then
+ insinto /usr/share/doc/${PF}/html
+ doins -r "${S}"/docs/*
+ java-pkg_dojavadoc "${S}/javadoc"
+ fi
+}
diff --git a/app-accessibility/freetts/freetts-1.2.2.ebuild b/app-accessibility/freetts/freetts-1.2.2.ebuild
new file mode 100644
index 00000000000..37676c28939
--- /dev/null
+++ b/app-accessibility/freetts/freetts-1.2.2.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+JAVA_PKG_IUSE="doc examples source"
+
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="A speech synthesis system written entirely in Java"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.zip"
+HOMEPAGE="http://freetts.sourceforge.net/"
+
+RDEPEND=">=virtual/jre-1.4
+ mbrola? ( >=app-accessibility/mbrola-3.0.1h-r6 ) "
+
+DEPEND=">=virtual/jdk-1.4
+ ${RDEPEND}
+ jsapi? ( app-arch/sharutils )
+ app-arch/unzip"
+
+LICENSE="jsapi? ( sun-bcla-jsapi ) freetts"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+IUSE="jsapi mbrola"
+
+# Tests aren't present.
+RESTRICT="test"
+
+java_prepare() {
+ # Prepare source directory.
+ mkdir src || die "Failed to create source directory."
+ mv com de src/ || die "Failed to move files to source directory."
+
+ # Prepare library directory.
+ cd lib || die "Lib directory not present."
+ chmod 0755 jsapi.sh || die "jsapi.sh not present or can't change permissions."
+ epatch "${FILESDIR}"/jsapi-gentoo.diff
+
+ use mbrola && echo "mbrola.base=/usr/share/mbrola/" >> "${S}"/speech.properties
+}
+
+src_compile() {
+ if use jsapi; then
+ pushd lib
+ ./jsapi.sh || die "jsapi.sh failed"
+ popd
+ fi
+
+ eant jars
+}
+
+# Tests aren't present.
+# http://freetts.sourceforge.net/docs/index.php#how_test
+#src_test() {
+# ANT_TASKS="ant-junit" eant junit
+#}
+
+src_install() {
+ java-pkg_dojar lib/*.jar mbrola/*.jar
+
+ use mbrola && local jflags="--java_args -Dmbrola.base=/usr/share/mbrola"
+
+ java-pkg_dolauncher ${PN} --main com.sun.speech.freetts.FreeTTS ${jflags}
+
+ insinto /usr/share/${PN}
+ doins speech.properties
+ doins -r tools
+
+ dodoc ANNOUNCE.txt README.txt RELEASE_NOTES
+
+ if use doc ; then
+ insinto /usr/share/doc/${PF}/html
+ doins -r docs/*
+ java-pkg_dojavadoc javadoc
+ fi
+
+ if use examples ; then
+ java-pkg_doexamples demo
+ fi
+
+ if use source ; then
+ java-pkg-dosrc src/*
+ fi
+}
diff --git a/app-accessibility/freetts/metadata.xml b/app-accessibility/freetts/metadata.xml
new file mode 100644
index 00000000000..654f205d7a0
--- /dev/null
+++ b/app-accessibility/freetts/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>accessibility</herd>
+ <herd>java</herd>
+ <use>
+ <flag name="jsapi">build Java Speech API (JSAPI)</flag>
+ <flag name="mbrola">Adds support for mbrola voices</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">freetts</remote-id>
+ </upstream>
+</pkgmetadata>